All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Channel Set
Image Set Operations

The selected-channel set primitives set a single color channel in multi-channel images to a given value. More...

## Functions

NppStatus | nppiSet_8u_C3CR_Ctx (Npp8u nValue, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned image set affecting only single channel. More...
NppStatus | nppiSet_8u_C3CR (Npp8u nValue, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_8u_C4CR_Ctx (Npp8u nValue, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image set affecting only single channel. More...
NppStatus | nppiSet_8u_C4CR (Npp8u nValue, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16u_C3CR_Ctx (Npp16u nValue, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned image set affecting only single channel. More...
NppStatus | nppiSet_16u_C3CR (Npp16u nValue, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16u_C4CR_Ctx (Npp16u nValue, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image set affecting only single channel. More...
NppStatus | nppiSet_16u_C4CR (Npp16u nValue, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16s_C3CR_Ctx (Npp16s nValue, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed image set affecting only single channel. More...
NppStatus | nppiSet_16s_C3CR (Npp16s nValue, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_16s_C4CR_Ctx (Npp16s nValue, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed image set affecting only single channel. More...
NppStatus | nppiSet_16s_C4CR (Npp16s nValue, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32s_C3CR_Ctx (Npp32s nValue, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 32-bit unsigned image set affecting only single channel. More...
NppStatus | nppiSet_32s_C3CR (Npp32s nValue, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32s_C4CR_Ctx (Npp32s nValue, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit unsigned image set affecting only single channel. More...
NppStatus | nppiSet_32s_C4CR (Npp32s nValue, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32f_C3CR_Ctx (Npp32f nValue, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image set affecting only single channel. More...
NppStatus | nppiSet_32f_C3CR (Npp32f nValue, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSet_32f_C4CR_Ctx (Npp32f nValue, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image set affecting only single channel. More...
NppStatus | nppiSet_32f_C4CR (Npp32f nValue, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

The selected-channel set primitives set a single color channel in multi-channel images to a given value.

The channel is selected by adjusting the pDst pointer to point to the desired color channel (see Channel-of-Interest API).

### Common parameters for nppiSet_CXC functions include:

Parameters

  nValue | The pixel-value to be set.
  pDst | Select-Channel Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiSet_16s_C3CR | ( | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16s_C3CR_Ctx | ( | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_16s_C4CR | ( | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16s_C4CR_Ctx | ( | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_16u_C3CR | ( | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16u_C3CR_Ctx | ( | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_16u_C4CR | ( | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_16u_C4CR_Ctx | ( | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_32f_C3CR | ( | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32f_C3CR_Ctx | ( | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_32f_C4CR | ( | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32f_C4CR_Ctx | ( | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_32s_C3CR | ( | Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32s_C3CR_Ctx | ( | Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit unsigned image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_32s_C4CR | ( | Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_32s_C4CR_Ctx | ( | Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit unsigned image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_8u_C3CR | ( | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8u_C3CR_Ctx | ( | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

NppStatus nppiSet_8u_C4CR | ( | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSet_8u_C4CR_Ctx | ( | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image set affecting only single channel.

For common parameter descriptions, see Common parameters for nppiSet_CXC functions.

Copyright © 2009-2019 NVIDIA Corporation